<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = 'tranfmain';
$file = "transfer.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `fromgdname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `togdname` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `fromgdname` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `togdname` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `fromgdname`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `togdname`";
}

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }


mysqli_query($conn, "drop temporary table if exists `transtemp` ") or die(mysqli_error($conn));
mysqli_query($conn, "Create temporary table `transtemp` 
                     SELECT a.vouchno, a.vouchdt, a.fromgd, a.togd, date_format(a.`vouchdt`, '%d-%m-%Y') as mydt, 
                            b.name as fromgdname FROM tranfmain a, godown b WHERE a.`fromgd` = b.`code`")or die(mysqli_error($conn));

mysqli_query($conn, "drop temporary table if exists `transtemp1` ") or die(mysqli_error($conn));
mysqli_query($conn, "Create temporary table `transtemp1` 
                     SELECT a.*, b.name as togdname FROM transtemp a, godown b WHERE a.`togd` = b.`code` ")or die(mysqli_error($conn));

$query = "SELECT *  FROM `transtemp1` WHERE vouchno != '' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'vouchno' => $r['vouchno'],
        'mydt'    => $r['mydt'],
        'fromgd'  => $r['fromgdname'],
        'togd'    => $r['togdname'],
        'action'  => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
